Page 1 of 1

FF v 3.5.9 Reports BackToTop v 5.3.2 Is "Not Compatible"

PostPosted: Wed Oct 27, 2010 5:45 am
by Phuket
Just like the title says, my FF v. 3.5.9 is reporting that Back to Top v. 5.3.2 is "Not compatible with Firefox 3.5.9".

I had a look inside the .xpi file and found this inside "install.rdf":

<em:maxVersion>3.1b4pre</em:maxVersion>

Could this be the cause?


Regards,

Roger.

Re: FF v 3.5.9 Reports BackToTop v 5.3.2 Is "Not Compatible"

PostPosted: Wed Oct 27, 2010 4:03 pm
by cbaker_admin
B2T v5.3.2 is compatible through Fx 3.6.*. Try re-installing it from the homepage.

Re: FF v 3.5.9 Reports BackToTop v 5.3.2 Is "Not Compatible"

PostPosted: Wed Oct 27, 2010 10:07 pm
by Phuket
Thanks Chuck, that fixed it but I'm very puzzled as to why!

I prefer to install extensions manually so I always save .xpi files to my hard drive. That way I have a copy of every .xpi installed and can go back to a previous version if there is a problem.

But the "back_to_top-5.3.2-fx.xpi" file on my hard drive consistently gave this error when I tried to install it:

"Back to Top 5.3.2 could not be installed because it is not compatible with Firefox 3.5.9."

After I used "Mr Tech's Toolkit" to disable compatibility checking, I could install it from my hard drive, but there was always the warning when I listed my add-ons that BackToTop was "Not compatible with Firefox 3.5.9".

So I just re-enabled "Compatibility checking" using Mr Tech's Toolkit, downloaded v5.3.2 again from addons.mozilla.org and tried to install it and got the same message:

"Back to Top 5.3.2 could not be installed because it is not compatible with Firefox 3.5.9."

But when I install it from your website it goes in fine!

I've tried to download the current version on your web site to see if it is different from the one at addons.mozilla.org, but without success - I can't get to the .xpi file and save it.

So do you have any thoughts as to why it should install OK from your web site?

Sorry about the long post, but I am very curious about this as it may affect other extensions, and I don't like mysteries!

Regards,

Roger.

Re: FF v 3.5.9 Reports BackToTop v 5.3.2 Is "Not Compatible"

PostPosted: Wed Oct 27, 2010 10:25 pm
by Phuket
Hi again Chuck.

I just put my brain in gear! I viewed the page source of your "Back To Top" page, found where the "Install" link to version 3.5.2 went, copied it into Internet Explorer and downloaded the .xpi file from your web site!

Clever, huh? :)

And it installs OK from my hard drive!

Using a comparison tool, I can see that it is hugely different from the "back_to_top-5.3.2-fx.xpi" file at addons.mozilla.org although only a couple of bytes different in size.

I'm very interested in any comments you may have.

Regards,

Roger.

Re: FF v 3.5.9 Reports BackToTop v 5.3.2 Is "Not Compatible"

PostPosted: Thu Oct 28, 2010 5:50 pm
by cbaker_admin
I seem to remember having problems uploading B2T to AMO last time around. It would stall in the middle of the upload, but claim it was done. I had to get one of the devs involved. Your version may have been downloaded during this time.

It also may be due to the way AMO treats extension updates. If the only change to an extension is a version bump, it does not require a new upload to AMO. No changes are made to the install.rdf file of the extension, though. The versioning information must be kept in a database somewhere on AMO that gets queried whenever an update occurs. I'm not absolutely sure how this works, but it seems like a very error-prone way of doing it.

Re: FF v 3.5.9 Reports BackToTop v 5.3.2 Is "Not Compatible"

PostPosted: Sun Oct 31, 2010 4:05 am
by Phuket
Thanks for the info, Chuck. Interesting that the version/compatibility data is maintained at AMO.

Anyway, I'm happy to report that the extension is working perfectly.

Regards,

Roger.